package com.ruoyi.zongzhi.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 本级上级网评指令比列 (月)对象 tc_bjsj
 *
 * @author ruoyi
 * @date 2023-08-28
 */
@Data
public class TcBjsj extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域Id
     */
    @Excel(name = "区域Id")
    @ApiModelProperty(value = "区域Id")
    private String areaId;

    /**
     * 占比名称
     */
    @Excel(name = "占比名称")
    @ApiModelProperty(value = "占比名称")
    private String name;

    /**
     * 所占百分比
     */
    @Excel(name = "所占百分比")
    @ApiModelProperty(value = "所占百分比")
    private String percent;


    /**
     * 使用状态
     */
    @Excel(name = "0:禁用，1：启用")
    @ApiModelProperty(value = "0:禁用，1：启用")
    private Boolean isStatus ;

}
