package com.ruoyi.zongzhi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 数据来源统计对象 tc_data_source_tj
 *
 * @author ruoyi
 * @date 2023-09-13
 */
@Data
public class TcDataSourceTj extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 云端监测(G)
     */
    @Excel(name = "云端监测(G)")
    @ApiModelProperty(value = "云端监测(G)")
    private String lable1;

    /**
     * APT(M)
     */
    @Excel(name = "APT(M)")
    @ApiModelProperty(value = "APT(M)")
    private String lable2;

    /**
     * 创建人id
     */
    @Excel(name = "创建人id")
    @ApiModelProperty(value = "创建人id")
    private Long createId;

    /**
     * 最后更新人id
     */
    @Excel(name = "最后更新人id")
    @ApiModelProperty(value = "最后更新人id")
    private Long updateId;

    /**
     * 使用状态
     */
    @Excel(name = "0:禁用，1：启用")
    @ApiModelProperty(value = "0:禁用，1：启用")
    private Boolean isStatus ;

}
